# N.B. don't forget to get the new files of SOURCE 1,3,4 when you update this
# package, they're not versionated but they get updated in upstream's ftp AFAICS
# (ahmad) 27-04-2011

%define oname GeoIP

%define major 1
%define updatemajor 0

%define libname %mklibname geoip %{major}
%define libname1 %mklibname geoipupdate %{updatemajor}
%define develname %mklibname geoip -d

Summary:	Find what country an IP address or hostname originates from
Name:		geoip
Version:	1.4.8
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.maxmind.com/app/c
Source0:	http://geolite.maxmind.com/download/geoip/api/c/%{oname}-%{version}.tar.gz
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/%{oname}.dat.gz
Source2:	http://geolite.maxmind.com/download/geoip/database/LICENSE.txt
Source3:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
Source4:	http://geolite.maxmind.com/download/geoip/database/asnum/GeoIPASNum.dat.gz
Source5:	geoip.crontab
Source6:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz
BuildRequires:	pkgconfig(zlib)

%description
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%package -n	%{libname}
Summary:	Shared library part of GeoIP
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{libname}
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%package -n	%{libname1}
Summary:	Shared library parts of GeoIP
Group:		System/Libraries

%description -n	%{libname1}
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%package -n	%{develname}
Summary:	Headers and libraries needed for GeoIP development
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{libname1} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	%{oname}-devel = %{version}
Obsoletes:	%{mklibname geoip 1 -d}

%description -n	%{develname}
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%prep
%setup -q -n %oname-%{version}

zcat %{SOURCE1} > data/GeoIP.dat
cp   %{SOURCE2} LICENSE.txt
zcat %{SOURCE3} > data/GeoLiteCity.dat
zcat %{SOURCE4} > data/GeoIPASNum.dat
zcat %{SOURCE6} > data/GeoIPv6.dat

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall
#gw path fix man page
perl -pi -e "s^%buildroot^^" %buildroot%_mandir/man1/geoipupdate.1

mkdir -p %{buildroot}%{_sysconfdir}/cron.monthly
install -m755 %{SOURCE5} %{buildroot}%{_sysconfdir}/cron.monthly/geoip
install -m0644 data/GeoLiteCity.dat %{buildroot}%{_datadir}/GeoIP/
install -m0644 data/GeoIPASNum.dat %{buildroot}%{_datadir}/GeoIP/
install -m0644 data/GeoIPv6.dat %{buildroot}%{_datadir}/GeoIP/

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f '{}' \;

%check
#gw disable tests if there's no network
if ping -c 1 svn.mageia.org; then
make check
fi

%files
%doc AUTHORS COPYING ChangeLog README TODO LICENSE.txt
%config(noreplace) %{_sysconfdir}/GeoIP.conf
%config(noreplace) %{_sysconfdir}/GeoIP.conf.default
%{_sysconfdir}/cron.monthly/geoip
%{_bindir}/geoiplookup
%{_bindir}/geoipupdate
%{_bindir}/geoiplookup6
%{_datadir}/GeoIP
%{_mandir}/man1/geoiplookup.1*
%{_mandir}/man1/geoiplookup6.1*
%{_mandir}/man1/geoipupdate.1*

%files -n %{libname}
%{_libdir}/libGeoIP.so.%{major}*

%files -n %{libname1}
%{_libdir}/libGeoIPUpdate.so.%{updatemajor}*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.4.8-5.mga3
+ Revision: 351375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean specfile

* Wed Nov 23 2011 pterjan <pterjan> 1.4.8-4.mga2
+ Revision: 171462
- Add IPv6 database (needed by ipv6calc)
- Fix cron filename

* Fri Nov 18 2011 pterjan <pterjan> 1.4.8-3.mga2
+ Revision: 168857
- Update date

* Mon Jul 18 2011 ahmad <ahmad> 1.4.8-2.mga2
+ Revision: 125844
- Rebuild after refreshing all the other Sources tarballs

* Mon Jul 18 2011 ahmad <ahmad> 1.4.8-1.mga2
+ Revision: 125839
- Replace the lib%%{name}-devel provides with %%{name}-devel
- Update to 1.4.8
- Convert the BR to pkgconfig style
- Fix the build by running 'autoreconf -fi'

* Wed Apr 27 2011 ahmad <ahmad> 1.4.7-1.mga1
+ Revision: 92191
- Don't flag %%{_datadir}/GeoIP as a %%config, it contains .dat files only, no configuration
  files AFAICS
- Update to 1.4.7
- Get new SOURCES 1,3,4 binaries:
  o this way we don't overwrite %%{_datadir}/GeoIP/GeoIP.dat that's updated by the
    monthly cron job
- Drop the autoconf hack, the package builds finely without it
- Drop BR libtool, not needed now AFAICS
- Disable static build (and don't ship .la)

* Sun Jan 16 2011 ahmad <ahmad> 1.4.6-9.mga1
+ Revision: 19934
- drop old/uneeded scriptlest
- change the ping command to use svn.mageia.org

  + kharec <kharec>
    - imported package geoip

